Subject: bug#9822: closed (Re: bug#9822: AMTAR not used)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 May 2020 01:32:03 +0000

Your bug report

#9822: AMTAR not used

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9822: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9822
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9822: AMTAR not used
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Mon, 25 May 2020 19:31:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

    akim> TAR = tar
    > am__tar = $(TAR) --format=ustar -chf - "$$tardir"
    > am__untar = $(TAR) -xf -
    > would be fine!
    
    stefano> I'd prefer to go with this latter option

As far as I can tell, all that was left to do here is to document the
use of the TAR environment variable in Automake to override "tar" for
"make dist". I just pushed a change for that. It seems the code has been
in place since 1.11.3, judging by the NEWS file.

akim> PS/  Actually if AMTAR/TAR could also set the two troublesome envvars,
akim> that would be wonderful :)

The two troublesome envvars being, I guess, the Mac-specific
COPY_EXTENDED_ATTRIBUTES_DISABLE and COPYFILE_DISABLE,
per https://lists.gnu.org/archive/html/automake/2011-03/msg00135.html.
But I don't much want to fiddle around with MacOSX envvars that may or
may not still work, and might easily be changed or removed at any time.

So ... closing. --best, karl.

Subject: AMTAR not used
From: Akim Demaille <[email-masked]>
To: Automake Bugs <[email-masked]>
Date: Fri, 21 Oct 2011 14:07:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

My apologies if this has already been discussed.  

I too have been hit by the fact that Tar on OS X tries to preserve special features of files in "hidden" files (a thread about this started here: http://lists.gnu.org/archive/html/automake/2011-03/msg00127.html, and seems to end here: http://lists.gnu.org/archive/html/automake/2011-04/msg00001.html).

There are several means to address this, one being defining a couple of envvars before calling OS X's tar (as discussed above), the other being using GNU Tar.

Unfortunately 1.11.1 generates code like this:

AMTAR = ${SHELL} /Users/akim/src/gostai/kernel-2.7/build-aux/missing --run tar
...
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -

(I cannot see AMTAR being used.)  I would prefer to have something like

TAR = tar
AMTAR = ${SHELL} /Users/akim/[...]/build-aux/missing --run ${TAR}
am__tar = $(AMTAR) --format=ustar -chf - "$$tardir"
am__untar = $(AMTAR) -xf -

so that I can "make dist TAR=gnutar" and have magic happen.  This would also require that missing understands gnutar in addition to tar, possibly qualified.  Or missing could be extended to have one flag for the "class" of the program (this is a "tar", a constant string), and then --run which gives the command line starting with the genuine command (/opt/local/bin/gnumake for my example).

Alternatively, if AMTAR is not useful (as it seems in 1.11.1), then

TAR = tar
am__tar = $(TAR) --format=ustar -chf - "$$tardir"
am__untar = $(TAR) -xf -

would be fine!

Cheers!

PS/  Actually if AMTAR/TAR could also set the two troublesome envvars, that would be wonderful :)